%global snapshot 121130
%global snap_release 20%{snapshot}

Summary:       GNU Triangulated Surface Library
Name:          gts
Version:       0.7.6
Release:       4.%{snap_release}%{?dist}
License:       LGPLv2+
URL:           http://gts.sourceforge.net/index.html
Source0:       http://gts.sourceforge.net/tarballs/gts-snapshot-%{snapshot}.tar.gz

Patch3000:     0001-gts-snapshot-111025.patch
Patch3001:     0002-Add-gts2xyz-manpage.patch

BuildRequires: gcc glib2-devel netpbm-devel make

%description
GTS provides a set of useful functions to deal with 3D surfaces meshed with interconnected triangles
including collision detection, multiresolution models, constrained Delaunay triangulations and
robust set operations (union, intersection, differences).

%package devel
Summary:        Development files for gts
Requires:       pkgconfig
Requires:       glib2-devel
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the gts header files and libs.

%prep
%autosetup -n %{name}-snapshot-%{snapshot} -p1

chmod +x test/*/*.sh

%build
%configure \
    --disable-static \
    --disable-dependency-tracking \
    %{nil}
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
mv -f %{buildroot}%{_bindir}/delaunay %{buildroot}%{_bindir}/gtsdelaunay
mv -f %{buildroot}%{_bindir}/happrox %{buildroot}%{_bindir}/gtshapprox
mv -f %{buildroot}%{_bindir}/transform %{buildroot}%{_bindir}/gtstransform
mv -f %{buildroot}%{_mandir}/man1/delaunay.1 %{buildroot}%{_mandir}/man1/gtsdelaunay.1
mv -f %{buildroot}%{_mandir}/man1/happrox.1 %{buildroot}%{_mandir}/man1/gtshapprox.1
mv -f %{buildroot}%{_mandir}/man1/transform.1 %{buildroot}%{_mandir}/man1/gtstransform.1

%check
make check ||:

%files
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*.1*
%exclude %{_bindir}/gts-config
%exclude %{_mandir}/man1/gts-config.1*

%files devel
%{_bindir}/gts-config
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_mandir}/man1/gts-config.1*

%changelog
* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 0.7.6-4
- Rebuilt for netpbm 11.02.00

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.6-3.20121130
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.6-2.20121130
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 1 2023 Shuo Wang <abushwang@tencent.com> - 0.7.6-1.%{snap_release}
- initial build
